Debian Bug report logs - #511121
grub legacy does not support ext4

version graph

Package: grub; Maintainer for grub is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>;

Reported by: Colin Ian King <colin.king@ubuntu.com>

Date: Wed, 7 Jan 2009 16:06:01 UTC

Severity: normal

Tags: patch, wontfix

Found in version grub/0.97-27etch1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, colin.king@ubuntu.com, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Wed, 07 Jan 2009 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Ian King <colin.king@ubuntu.com>:
New Bug report received and forwarded. Copy sent to colin.king@ubuntu.com, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 07 Jan 2009 16:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Ian King <colin.king@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub does not support ext4
Date: Wed, 07 Jan 2009 16:04:43 +0000
Package: grub
Version: 0.97-27etch1
Severity: normal


Grub does not support ext4 filesystems.

A patch for grub based on the patch from Quentin Godfroy is posted at:

https://bugs.launchpad.net/ubuntu/+source/grub/+bug/314350/comments/1

which refers to the diff at:

http://launchpadlibrarian.net/20944879/grub_ext4.diff

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages grub depends on:
ii  libc6                  2.3.6.ds1-13etch8 GNU C Library: Shared libraries
ii  libncurses5            5.5-5             Shared libraries for terminal hand

grub recommends no packages.

-- no debconf information




Tags added: patch Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Thu, 08 Jan 2009 16:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Wed, 08 Apr 2009 21:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 511121@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Colin Ian King <colin.king@ubuntu.com>, 511121@bugs.debian.org
Subject: Re: Bug#511121: grub does not support ext4
Date: Wed, 8 Apr 2009 23:03:25 +0200
retitle 511121 grub legacy does not support ext4
tags 511121 wontfix
thanks

Hi,

On Wed, Jan 07, 2009 at 04:04:43PM +0000, Colin Ian King wrote:
> Package: grub
> Version: 0.97-27etch1
> Severity: normal
> 
> 
> Grub does not support ext4 filesystems.

It does (grub-pc package).

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Changed Bug title to `grub legacy does not support ext4' from `grub does not support ext4'. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Wed, 08 Apr 2009 21:06:05 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Wed, 08 Apr 2009 21:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Sun, 12 Apr 2009 12:09:02 GMT) Full text and rfc822 format available.

Message #17 received at 511121@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Colin Ian King <colin.king@ubuntu.com>, 511121@bugs.debian.org
Subject: Re: Bug#511121: grub does not support ext4
Date: Sun, 12 Apr 2009 14:06:20 +0200
On Wed, Apr 08, 2009 at 11:03:25PM +0200, Robert Millan wrote:
> retitle 511121 grub legacy does not support ext4
> tags 511121 wontfix
> thanks
> 
> Hi,
> 
> On Wed, Jan 07, 2009 at 04:04:43PM +0000, Colin Ian King wrote:
> > Package: grub
> > Version: 0.97-27etch1
> > Severity: normal
> > 
> > 
> > Grub does not support ext4 filesystems.
> 
> It does (grub-pc package).

Hum, I'm sorry I think I was a bit rude.  Let's try something better:

 a- If you're a user and need ext4 support, just install grub-pc

 b- If you're working on D-I, or an installer in general, and want to
    enable ext4 as an option, make it install grub-pc like we do for
    gpt.

 c- If you want to make ext4 the default, then I expect we'll finish the
    2 or 3 things that are missing in grub-pc before it can become default,
    too.

If your situation is C I'm willing to talk about your timeline and when you
expect us to be ready for the migration.  Feel free to catch me on IRC for a
better/faster response.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Bug 511121 cloned as bug 529363. Request was from Max Vozeler <xam@debian.org> to control@bugs.debian.org. (Mon, 18 May 2009 21:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Tue, 02 Jun 2009 13:57:02 GMT) Full text and rfc822 format available.

Message #22 received at 511121@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 511121@bugs.debian.org
Subject: ext4
Date: Tue, 2 Jun 2009 15:55:26 +0200
Hi,

After discussing this on IRC, I think it might be reasonable to support
ext4 in GRUB Legacy, as a fallback option for those who can't use GRUB 2
yet for some reason.

Keep in mind upstream isn't going to support _any_ changes in GRUB
Legacy at all, so supporting them is costly for us.  It must not be
done carelessly.

IMO, the key question here is whether Squeeze is going to use ext4 by
default or not.

Once a proper discussion on that is held, and there is consensus, please
let us know about the result.

Thanks

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Mon, 08 Jun 2009 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Zielcke <fzielcke@z-51.de>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 08 Jun 2009 11:51:03 GMT) Full text and rfc822 format available.

Message #27 received at 511121@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: Colin Ian King <colin.king@ubuntu.com>, 511121@bugs.debian.org
Subject: Re: Bug#511121: grub does not support ext4
Date: Mon, 08 Jun 2009 13:47:40 +0200
[Message part 1 (text/plain, inline)]
Am Mittwoch, den 07.01.2009, 16:04 +0000 schrieb Colin Ian King:
> Package: grub
> Version: 0.97-27etch1
> Severity: normal
> 
> 
> Grub does not support ext4 filesystems.
> 
> A patch for grub based on the patch from Quentin Godfroy is posted at:
> 
> https://bugs.launchpad.net/ubuntu/+source/grub/+bug/314350/comments/1
> 
> which refers to the diff at:
> 
> http://launchpadlibrarian.net/20944879/grub_ext4.diff
> 

Interdiff shows that the patch you linked above and the one that is
actually in the recent Ubuntu grub is different.
So I attached it now here, so that it's easier for Robert to look at
it ;)
And also the ext4_fix_variable_sized_inodes.diff recently added in
Ubuntu.
-- 
Felix Zielcke
[ext4_fix_variable_sized_inodes.diff (text/x-patch, attachment)]
[ext4_support.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Thu, 29 Jul 2010 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Valentin Pavlyuchenko <thevalik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 29 Jul 2010 19:33:06 GMT) Full text and rfc822 format available.

Message #32 received at 511121@bugs.debian.org (full text, mbox):

From: Valentin Pavlyuchenko <thevalik@gmail.com>
To: 511121@bugs.debian.org
Subject: Need it
Date: Thu, 29 Jul 2010 22:30:19 +0300
Hi,

Actually I'm the one who needs ext4 support in grub-legacy. The reason
is that grub2 doesn't support booting from fakeRAID, so I need to use
grub-legacy.

--
Best regards,
Valentin Pavlyuchenko




Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Sat, 31 Jul 2010 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Vallet <svallet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 31 Jul 2010 13:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 511121@bugs.debian.org (full text, mbox):

From: Simon Vallet <svallet@gmail.com>
To: 511121@bugs.debian.org
Subject: Yup
Date: Sat, 31 Jul 2010 15:00:04 +0200
Hi,

I happen to also need ext4 support -- currently booting off lilo :-|

Regards,
Simon




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:45:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.